CVE-2006-4252

NameCVE-2006-4252
DescriptionPowerDNS Recursor 3.1.3 and earlier allows remote attackers to cause a denial of service (resource exhaustion and application crash) via a CNAME record with a zero TTL, which triggers an infinite loop.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs398559

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pdns (PTS)stretch (security), stretch4.0.3-1+deb9u5fixed
buster4.1.6-3fixed
bullseye, sid4.3.0-4fixed
pdns-recursor (PTS)stretch4.0.4-1+deb9u4fixed
stretch (security)4.0.4-1+deb9u3fixed
buster4.1.11-1fixed
buster (security)4.1.11-1+deb10u1fixed
bullseye, sid4.3.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pdnssource(unstable)(not affected)
pdns-recursorsource(unstable)3.1.4-1398559

Notes

- pdns <not-affected> (Recursor module has been moved to pdns-recursor)

Search for package or bug name: Reporting problems